Summary: Adaptive Multi-Rate Floating-point (AMR) Speech Codec
Name: amrnb
Version: 7.0.0.2
Release: 1%{?dist}
License: Distributable
Group: System Environment/Libraries
URL: http://www.penguin.cz/~utx/amr
Source0: http://ftp.penguin.cz/pub/users/utx/amr/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: wget

%description
3GPP released reference implementations 3GPP Adaptive Multi-Rate
Floating-point (AMR) Speech Codec (3GPP TS 26.104 V 7.0.0) and 3GPP
AMR Adaptive Multi-Rate - Wideband (AMR-WB) Speech Codec (3GPP TS
26.204 V7.0.0).

%package devel
Summary: Development files for building against the %{name} package
Group: Development/Libraries
Requires: %{name} = %{evr}

%description devel
This package provides the files necessary for development against
%{name}. Use this package if you need to build a package depending on
%{name} at build time, or if you want to do your own development
against %{name}.

%prep
%setup -q

%build
%configure --disable-static
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING README* readme.txt AUTHORS ChangeLog NEWS TODO
%{_bindir}/*
%{_libdir}/*.so.*

%files devel
%defattr (-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%exclude %{_libdir}/*.la

%changelog
* Sat Feb 14 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 7.0.0.2-1
- Initial build.

